Package org.jbpm.services.task.query

## Class DeadlineSummaryImpl

- java.lang.Object
- - org.jbpm.services.task.query.DeadlineSummaryImpl

- All Implemented Interfaces:
    `org.kie.internal.task.api.model.DeadlineSummary`

      public class DeadlineSummaryImpl
      extends Object
      implements org.kie.internal.task.api.model.DeadlineSummary

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeadlineSummaryImpl()` |
    `DeadlineSummaryImpl​(long taskId, long deadlineId, Date date)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Date` | `getDate()` |
    `long` | `getDeadlineId()` |
    `long` | `getTaskId()` |
    `int` | `hashCode()` |
    `void` | `setDate​(Date date)` |
    `void` | `setDeadlineId​(long deadlineId)` |
    `void` | `setTaskId​(long taskId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeadlineSummaryImpl

          public DeadlineSummaryImpl()

    - #### DeadlineSummaryImpl

          public DeadlineSummaryImpl​(long taskId,
                                     long deadlineId,
                                     Date date)

  - ### Method Detail

    - #### getTaskId

          public long getTaskId()

      Specified by:
        `getTaskId` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### setTaskId

          public void setTaskId​(long taskId)

      Specified by:
        `setTaskId` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### getDeadlineId

          public long getDeadlineId()

      Specified by:
        `getDeadlineId` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### setDeadlineId

          public void setDeadlineId​(long deadlineId)

      Specified by:
        `setDeadlineId` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### setDate

          public void setDate​(Date date)

      Specified by:
        `setDate` in interface `org.kie.internal.task.api.model.DeadlineSummary`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`